*** Gender bias, citizen participation, and AI ***
*** Natalia Pecorari and Jose Cuesta, 2024 ***
** Using Latinobarometro 2023 **
* Preparing the dataset to be used in Python - remove missing values *

clear all
clear all
gl root "C:\WBG\github\255\v1\DEC Reproducibility Verification - WB Group"
sysdir set PLUS "${root}\ado"
set varabbrev on
set more off

global 	datain = "${root}\DataIn"
global  dataout = "${root}\DataOut"

use "$dataout\Latinobarometro_2023.dta"

label define social_class_label 1 "1" ///
                               2 "2" ///
                               3 "3" ///
                               4 "4" ///
                               5 "5"

label values social_class social_class_label

label define educ_label 1 "1" ///
                       2 "2" ///
                       3 "3" ///
                       4 "4" ///
                       5 "5" ///
                       6 "6" ///
                       7 "7"

label values education educ_label

drop if missing(edu_cat2, edu_cat3, edu_cat4, edu_cat5, edu_cat6, edu_cat7, social_class_cat2, social_class_cat3, social_class_cat4, social_class_cat5, own_house, internet, sewage,subsidy, t_people, t_police, t_parliament, t_government, t_courts, t_elections, int_politics, left_wing, free_join, free_speak, victim_crime, enough_food, save_money, life_satisfaction, women_1, women_2, women_3, women_4, women_5, women_6, civic_part, petition, demons, alt_gender_score, high_gender_score)

save "$dataout\Latinobarometro_2023_no_missing.dta", replace

